Entfernt einen Artikel aus dem Warenkorb.
- Warenkorbartikel aus dem aktuellem Warenkorb aktualisieren
Catalog API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Catalog API bietet Endpunkte zur Verwaltung Ihres In-Game-Store-Katalogs und zur Abwicklung von Käufen. Verwenden Sie die Endpunkte zum Konfigurieren von virtuellen Gegenständen, virtuellen Währungen, Spielschlüsseln, Bundles, Warenkorb- und Zahlungsabläufen sowie Artikelattributen und zum Importieren von Artikeln aus externen Quellen.
Projekt-ID. Dieser Parameter wird im Kundenportal neben dem Projektnamen angezeigt.
- Mock serverhttps://xsolla.redocly.app/_mock/de/api/catalog/v2/project/{project_id}/cart/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
https://xsolla.redocly.app/_mock/de/api/catalog/v2/project/44056/cart/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Projekt-ID. Dieser Parameter wird im Kundenportal neben dem Projektnamen angezeigt.
- Mock serverhttps://xsolla.redocly.app/_mock/de/api/catalog/v2/project/{project_id}/cart/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://xsolla.redocly.app/_mock/de/api/catalog/v2/project/44056/cart/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"quantity": 123
}'Projekt-ID. Dieser Parameter wird im Kundenportal neben dem Projektnamen angezeigt.
Die im Warenkorb angezeigte Währung des Artikelpreises. Dreistelliger Währungscode pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.
- Mock serverhttps://xsolla.redocly.app/_mock/de/api/catalog/v2/project/{project_id}/cart/{cart_id}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/de/api/catalog/v2/project/44056/cart/custom_id?currency=USD&locale=en' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Der Warenkorb mitsamt der Artikel wurde erfolgreich zurückgegeben.
Ist true eingestellt, ist der Warenkorb kostenlos.
Warenkorbpreis.
Auf den gesamten Warenkorb angewandte Werbeaktionen. Das Array wird in den folgenden Fällen zurückgegeben:
Eine Werbeaktion wirkt sich auf den Warenkorb-Gesamtbetrag aus, z. B. ein Promocode mit der Einstellung Rabatt auf den Kauf.
Im Rahmen einer Werbeaktion werden Bonusartikel in den Warenkorb gelegt.
Werden keine Werbeaktionen auf Bestellebene angewandt, wird ein leeres Array zurückgegeben.
{ "cart_id": "cart_id", "is_free": false, "items": [ { … } ], "price": { "amount": "6150.0000000000000000", "amount_without_discount": "6150.0000000000000000", "currency": "USD" }, "promotions": [ { … } ] }